# BasicDynamicClassNodeBase Class Reference

BasicDynamicClassNodeBase is a generic node of a BasicDynamicClass. More...

`#include <BasicDynamicClassNodeBase.h>`

Inheritance diagram for BasicDynamicClassNodeBase:

[legend]
Collaboration diagram for BasicDynamicClassNodeBase:

[legend]
List of all members.

## Public Member Functions

| BasicDynamicClassNodeBase ()
virtual unsigned int | getSize () const =0
| See BasicDynamicClassNode::getSize().
virtual void | _init (void *x)=0
| See BasicDynamicClassNode::_init().
void * | getNode (const void *x) const
| This function should not be used directly because it is not type safe.
void | registerNode (BasicDynamicClassFactory *factory)
| Register this node with the factory.

## Protected Member Functions

void | setOffset (const unsigned int offset)
| Called by BasicDynamicClassFactory to set the offset in the dynamic class to this class node.
virtual | ~BasicDynamicClassNodeBase ()

## Protected Attributes

BasicDynamicClassFactory * | factory
unsigned int | offset

## Detailed Description

BasicDynamicClassNodeBase is a generic node of a BasicDynamicClass.

See BasicDynamicClassFactory.

If you don't understand this class don't use it!

## Constructor & Destructor Documentation

BasicDynamicClassNodeBase::BasicDynamicClassNodeBase | ( |  | ) | `[inline]`

virtual BasicDynamicClassNodeBase::~BasicDynamicClassNodeBase | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void BasicDynamicClassNodeBase::_init | ( | void * | x | ) | `[pure virtual]`

| See BasicDynamicClassNode::_init(). Implemented in BasicDynamicClassNode< T >.

void * BasicDynamicClassNodeBase::getNode | ( | const void * | x | ) | const

This function should not be used directly because it is not type safe.

Parameters:

  | x | The dynamic class.

Returns:
  A pointer to the memory allocated for this class node.

virtual unsigned int BasicDynamicClassNodeBase::getSize | ( |  | ) | const`[pure virtual]`

| See BasicDynamicClassNode::getSize(). Implemented in BasicDynamicClassNode< T >.

void BasicDynamicClassNodeBase::registerNode | ( | BasicDynamicClassFactory * | factory | ) |

Register this node with the factory.

If this node has already been registered with some factory a BasicException will be thrown.

Parameters:

  | factory | The factory with which to register.

void BasicDynamicClassNodeBase::setOffset | ( | const unsigned int | offset | ) | `[inline, protected]`

Called by BasicDynamicClassFactory to set the offset in the dynamic class to this class node.

Parameters:

  | offset | The byte offset.

## Member Data Documentation

BasicDynamicClassFactory* BasicDynamicClassNodeBase::factory `[protected]`

unsigned int BasicDynamicClassNodeBase::offset `[protected]`

The documentation for this class was generated from the following files:

- BasicDynamicClassNodeBase.h
- BasicDynamicClassNodeBase.cpp